#pragma once

#define _POSIX_C_SOURCE 200809L
#ifndef _GNU_SOURCE
# define _GNU_SOURCE
#endif

#include <any>
#include <array>
#include <numeric>
#include <algorithm>
#include <cerrno>
#include <cstddef>
#include <cstdlib>
#include <cstring>
#include <filesystem>
#include <functional>
#include <iostream>
#include <iterator>
#include <map>
#include <memory>
#include <optional>
#include <ranges>
#include <regex>
#include <set>
#include <list>
#include <span>
#include <sstream>
#include <stdexcept>
#include <string>
#include <string_view>
#include <system_error>
#include <tuple>
#include <utility>
#include <vector>

#include <dlfcn.h>
#include <fcntl.h>
#include <poll.h>
#include <sched.h>
#include <signal.h>
#include <spawn.h>
#include <sys/mman.h>
#include <sys/stat.h>
#include <unistd.h>
#include <sys/wait.h>

namespace fs = std::filesystem;
namespace ranges = std::ranges;

using namespace std::literals::string_literals;
using namespace std::literals::string_view_literals;

using std::any;
using std::cerr;
using std::endl;
using std::function;
using std::make_unique;
using std::map;
using std::optional;
using std::runtime_error;
using std::span;
using std::string;
using std::string_view;
using std::system_category;
using std::system_error;
using std::tuple;
using std::unique_ptr;
using std::vector;
using std::set;
using std::multimap;
using std::pair;
using std::array;
using std::reference_wrapper;
using std::list;
